Subject: Re: [RFC v2 23/24] m68k/mac: Fix PRAM accessors

From: Andreas Schwab <[email-masked]>
Date: Thu, 18 Jun 2015 18:52:44 +0200

Finn Thain <[email-masked]> writes:

> When I have reliable documentation I always define macros. So I agree that 
> "command" bytes like 0x34 and 0x3800 should have names but what are the 
> correct names? Are we constructing an opcode containing RTC register file 
> addresses or are we issuing read/write accesses to chip registers?

Any name will do as long as the magic constant is not duplicated.  It is
more important to document the relation between two uses than to have a
correct name (which can trivially be updated later).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."